Skip to main content
`Ctrl`+`K`

# ReadableFileLike

class astropy.io.typing.ReadableFileLike(*args, **kwargs)

  Bases: `Protocol`[`_T_co`]

  A file-like object that supports reading with a method `read`.

  This is a `Protocol` that can be used to annotate file-like objects. It is also runtime-checkable and can be used with `isinstance()`. See `runtime_checkable()` for more information about how runtime checking with Protocols works.

  Methods Summary

  `read`() |

  Methods Documentation

  read()